import { Guid } from "ayax-common-types";
import { AuthGroup, ISearchUserRequest } from "../..";
import { AuthSubdivision } from "../../Types/AuthSubdivision";
import { AuthUser } from "../../Types/AuthUser";
import { ISearchGroupRequest } from "../../Types/ISearchGroupRequest";
import { IAuthService } from "./IAuthService";
import { IAuthServiceOptions } from "./IAuthServiceOptions";
export declare class AuthService implements IAuthService {
    private _identityOperation;
    private _readerOperation;
    private _tokenStorageItem;
    private _accessRules;
    private _modulesStorageItem;
    private _currentUserStorageItem;
    private _cacheExpiresAfter;
    private _authenticateUrl;
    private _currentUser;
    private _token;
    private _cookieDomain;
    private _tokenExpiresInHours;
    private _cookieTokenName;
    constructor(options: IAuthServiceOptions);
    get accessRules(): string[];
    set accessRules(value: string[]);
    get modules(): string[];
    set modules(value: string[]);
    get currentUser(): AuthUser;
    set currentUser(value: AuthUser);
    GetCurrentUser(): Promise<AuthUser>;
    Login(login: string, password: string, modules?: string[]): Promise<boolean>;
    CheckAuthentication(login?: string): Promise<boolean>;
    private GetAuthenticatedUser;
    GetUserById(id: number): Promise<AuthUser>;
    GetUserByUid(uid: string): Promise<AuthUser>;
    GetUsers(subdivisionId?: number): Promise<AuthUser[]>;
    GetUsersForSubdivisionList(subdivisionsIds?: number[]): Promise<AuthUser[]>;
    GetSubdivisions(isMain?: boolean): Promise<AuthSubdivision[]>;
    GetUsersForMyDivision(): Promise<AuthUser[]>;
    SetTokenCookie(token: string): void;
    DeleteTokenCookie(): void;
    SearchUsers(request?: ISearchUserRequest): Promise<AuthUser[]>;
    GetGroup(guid: Guid): Promise<AuthGroup>;
    GetGroupUsers(): Promise<{
        [guid: string]: AuthUser[];
    }>;
    SearchGroups(request?: ISearchGroupRequest): Promise<AuthGroup[]>;
}
